import request from '@/utils/request'

// 查询项目建设节点列表
export function listBuild_node(query) {
  return request({
    url: '/project/build_node/list',
    method: 'get',
    params: query
  })
}

// 查询项目建设节点详细
export function getBuild_node(id) {
  return request({
    url: '/project/build_node/' + id,
    method: 'get'
  })
}

// 新增项目建设节点
export function addBuild_node(data) {
  return request({
    url: '/project/build_node',
    method: 'post',
    data: data
  })
}

// 修改项目建设节点
export function updateBuild_node(data) {
  return request({
    url: '/project/build_node',
    method: 'put',
    data: data
  })
}

// 删除项目建设节点
export function delBuild_node(id) {
  return request({
    url: '/project/build_node/' + id,
    method: 'delete'
  })
}
